# ArtifactHandlerScope

class ArtifactHandlerScope : ArtifactHandlerDelegate

Receiver for `artifacts` block providing convenient utilities for configuring artifacts.

#### See also

ArtifactHandler

## Types

Companion
Link copied to clipboard
object Companion

## Properties

artifacts
Link copied to clipboard
val artifacts: ArtifactHandler
delegate
Link copied to clipboard
open val delegate: ArtifactHandler

## Functions

add
Link copied to clipboard
open override fun add(configurationName: String, artifactNotation: Any): PublishArtifact
open override fun add(configurationName: String, artifactNotation: Any, configureClosure: Closure<Any>): PublishArtifact
open override fun add(configurationName: String, artifactNotation: Any, configureAction: Action<in ConfigurablePublishArtifact>): PublishArtifact
invoke
Link copied to clipboard
inline operator fun invoke(configuration: ArtifactHandlerScope.() -> Unit): <Error class: unknown class>

Configures the artifacts.

operator fun String.invoke(artifactNotation: Any): PublishArtifact
operator fun Configuration.invoke(artifactNotation: Any): PublishArtifact
operator fun String.invoke(artifactNotation: Any, configureAction: ConfigurablePublishArtifact.() -> Unit): PublishArtifact
operator fun Configuration.invoke(artifactNotation: Any, configureAction: ConfigurablePublishArtifact.() -> Unit): PublishArtifact

Adds an artifact to the given configuration.

invoke
Link copied to clipboard
operator fun ArtifactHandler.invoke(configuration: ArtifactHandlerScope.() -> Unit)

Configures the published artifacts for this project.